## org.hibernate.hql.ast.tree
Interface BinaryOperatorNode

All Superinterfaces:
  OperatorNode

All Known Implementing Classes:
  BinaryArithmeticOperatorNode, BinaryLogicOperatorNode, InLogicOperatorNode

    public interface BinaryOperatorNode

extends OperatorNode

Contract for nodes representing binary operators.

Author:
  Steve Ebersole

Method Summary
`Node` `getLeftHandOperand()` Retrieves the left-hand operand of the operator.
`Node` `getRightHandOperand()` Retrieves the right-hand operand of the operator.

Methods inherited from interface org.hibernate.hql.ast.tree.OperatorNode
`getDataType, initialize`

Method Detail

### getLeftHandOperand

    Node getLeftHandOperand()

  Retrieves the left-hand operand of the operator.

  Returns:
    The left-hand operand

### getRightHandOperand

    Node getRightHandOperand()

  Retrieves the right-hand operand of the operator.

  Returns:
    The right-hand operand

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.